%define oname   gettext

Name:       ruby-%{oname}
Version:    2.1.0
Release:    %mkrel 1
Summary:    A library and tools to localize messages
Group:      Development/Ruby
License:    GPLv2
URL:        http://gettext.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: gettext-devel
BuildRequires: locales-ja
BuildRequires: locales-fr
BuildRequires: rubygem(activerecord)
BuildRequires: rubygem(locale)
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Ruby-GetText-Package is a GNU GetText-like program for Ruby.
The catalog file(po-file) is same format with GNU GetText.
So you can use GNU GetText tools for maintaining.

%files
%defattr(-, root, root, -)
%{_bindir}/rmsgmerge
%{_bindir}/rmsgfmt
%{_bindir}/rgettext
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#fix shebang
find %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib -name "*.rb" \
  -exec sed -i '/^#!/d' {} \;

%check
export LC_ALL="ja_JP.UTF-8";
export LANG="ja_JP.UTF-8";
rake test


%clean
rm -rf %{buildroot}



%changelog
* Thu Feb 10 2011 shikamaru <shikamaru> 2.1.0-1.mga1
+ Revision: 49904
- imported package ruby-gettext


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.1.0-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 2.1.0

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-4mdv2010.0
+ Revision: 433514
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-3mdv2009.0
+ Revision: 269234
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1.10.0-2mdv2009.0
+ Revision: 214497
- rebuild for the i586-linux-gnu to i586-linux move

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Funda Wang <fundawang@mandriva.org> 1.10.0-1mdv2008.1
+ Revision: 109956
- New version 1.10.0

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.7.0-2mdv2008.0
+ Revision: 16900
- Use Development/Ruby group
- Use std macros


* Thu Aug 24 2006 Pascal Terjan <pterjan@mandriva.org> 1.7.0-1mdv2007.0
- New release 1.7.0

* Tue Jul 11 2006 Pascal Terjan <pterjan@mandriva.org> 1.6.0-1mdv2007.0
- 1.6.0

* Sat Mar 11 2006 Pascal Terjan <pterjan@mandriva.org> 1.3.0-1mdk
- 1.3.0
- mkrel

* Sun Jan 15 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.1-1mdk
- 1.1.1

* Thu Dec 29 2005 Pascal Terjan <pterjan@mandriva.org> 1.1.0-1mdk
- 1.1.0

* Sat Sep 03 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-1mdk
- 1.0.0

* Sun May 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.9.0-1mdk
- 0.9.0

* Wed Mar 30 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.1-2mdk
- lib64 fix

* Tue Mar 29 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.1-1mdk
- 0.8.1

* Thu Nov 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.8.0-1mdk
- 0.8.0

* Mon Jul 26 2004 Pascal Terjan <pterjan@mandrake.org> 0.6.1-1mdk
- 0.6.1

* Thu Jul 08 2004 Pascal Terjan <pterjan@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Fri Apr 23 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.5-1mdk
- 0.5.5

* Thu Jan 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.3-2mdk
- own %%{_libdir}/ruby/*/*/*/gettext/

* Thu Dec 25 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.3-1mdk 
- first mdk release

